/* $Id: move.c,v 1.3 1999/06/08 00:41:10 marcus Exp $
******************************************************************************

   Graphics library for GGI. BSE render lib for 16 bit.

   Copyright (C) 1999 Andreas Beck	[becka@ggi-project.org]

   Permission is hereby granted, free of charge, to any person obtaining a
   copy of this software and associated documentation files (the "Software"),
   to deal in the Software without restriction, including without limitation
   the rights to use, copy, modify, merge, publish, distribute, sublicense,
   and/or sell copies of the Software, and to permit persons to whom the
   Software is furnished to do so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included in
   all copies or substantial portions of the Software.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

******************************************************************************
*/

#include <bse_int.h>

int GGIbse_linear16_es_move(ggibse_t bob,int x,int y)
{
	return 0;
}

int GGIbse_linear16_es_show(ggibse_t bob,int show)
{
	return 0;
}

int GGIbse_linear16_bob_move(ggibse_t bob,int x,int y)
{
	return 0;
}

int GGIbse_linear16_bob_show(ggibse_t bob,int show)
{
	return 0;
}

int GGIbse_linear16_alloc(ggibse_t bob)
{
	switch(bob->type) {
		case BSE_BOB:
			bob->move=GGIbse_linear16_bob_move;
			bob->show=GGIbse_linear16_bob_show;
			return 0;
		case BSE_EMUSPRITE:
			bob->move=GGIbse_linear16_es_move;
			bob->show=GGIbse_linear16_es_show;
			return 0;
		default:
			break;
	}
	return GGI_EARGINVAL;
}
